Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### rotateX()

Examples

    size(100, 100, P3D);
    translate(width/2, height/2);
    rotateX(PI/3.0);
    rect(-26, -26, 52, 52);

    size(100, 100, P3D);
    translate(width/2, height/2);
    rotateX(radians(60));
    rect(-26, -26, 52, 52);

Description

Rotates a shape around the x-axis the amount specified by the angle parameter. Angles should be specified in radians (values from 0 to PI*2) or converted to radians with the radians() function. Objects are always rotated around their relative position to the origin and positive numbers rotate objects in a counterclockwise direction. Transformations apply to everything that happens after and subsequent calls to the function accumulates the effect. For example, calling rotateX(PI/2) and then rotateX(PI/2) is the same as rotateX(PI). If rotateX() is called within the draw(), the transformation is reset when the loop begins again. This function requires passing P3D or OPENGL into the size() parameter as shown in the example above.

Syntax

    rotateX(angle)

Parameters

angle | float: angle of rotation specified in radians

Returns | None
Usage | Web & Application
Related | rotateY() rotateZ() translate() rotate() scale() pushMatrix() popMatrix()

Updated on August 30, 2010 04:29:39pm EDT